Page MenuHomePhabricator

Mark api.php HTML doc pages as robots noindex, nofollow
Closed, ResolvedPublic

Description

Pages such as https://www.mediawiki.org/w/api.php?action=options&reset=&token=123ABC should probably contain this HTML to discourage search engine indexing:

<meta name="robots" content="noindex,nofollow"/>

We already do this for Special pages.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 24 2018, 3:54 AM
Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Oct 25 2018, 1:37 PM
Anomie added a subscriber: Anomie.

I note that Wikimedia sites already have Disallow: /w/ in their robots.txt, but this could benefit third parties.

Change 469616 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] API: Set robots noindex,nofollow on HTML output

https://gerrit.wikimedia.org/r/469616

Change 469616 merged by jenkins-bot:
[mediawiki/core@master] API: Set robots noindex,nofollow on HTML output

https://gerrit.wikimedia.org/r/469616

Legoktm closed this task as Resolved.Oct 27 2018, 6:01 AM
Legoktm assigned this task to Anomie.

Change 470302 had a related patch set uploaded (by Paladox; owner: Anomie):
[mediawiki/core@REL1_32] API: Set robots noindex,nofollow on HTML output

https://gerrit.wikimedia.org/r/470302

Change 470302 merged by jenkins-bot:
[mediawiki/core@REL1_32] API: Set robots noindex,nofollow on HTML output

https://gerrit.wikimedia.org/r/470302